pw_endpoint_stream_methods Struct Reference
Extensions » Session Manager

## Data Fields

uint32_t | version
| version of this structure More...
int(* | add_listener )(void *object, struct spa_hook *listener, const struct pw_endpoint_stream_events *events, void *data)
int(* | subscribe_params )(void *object, uint32_t *ids, uint32_t n_ids)
| Subscribe to parameter changes. More...
int(* | enum_params )(void *object, int seq, uint32_t id, uint32_t start, uint32_t num, const struct spa_pod *filter)
| Enumerate stream parameters. More...
int(* | set_param )(void *object, uint32_t id, uint32_t flags, const struct spa_pod *param)
| Set a parameter on the stream. More...

## Field Documentation

## version

uint32_t pw_endpoint_stream_methods::version

version of this structure

## add_listener

int(* pw_endpoint_stream_methods::add_listener) (void *object, struct spa_hook *listener, const struct pw_endpoint_stream_events *events, void *data)

## subscribe_params

int(* pw_endpoint_stream_methods::subscribe_params) (void *object, uint32_t *ids, uint32_t n_ids)

Subscribe to parameter changes.

Automatically emit param events for the given ids when they are changed.

Parameters

  ids | an array of param ids
  n_ids | the number of ids in ids

## enum_params

int(* pw_endpoint_stream_methods::enum_params) (void *object, int seq, uint32_t id, uint32_t start, uint32_t num, const struct spa_pod *filter)

Enumerate stream parameters.

Start enumeration of stream parameters. For each param, a param event will be emitted.

Parameters

  seq | a sequence number returned in the reply
  id | the parameter id to enumerate
  start | the start index or 0 for the first param
  num | the maximum number of params to retrieve
  filter | a param filter or NULL

## set_param

int(* pw_endpoint_stream_methods::set_param) (void *object, uint32_t id, uint32_t flags, const struct spa_pod *param)

Set a parameter on the stream.

Parameters

  id | the parameter id to set
  flags | extra parameter flags
  param | the parameter to set

The documentation for this struct was generated from the following file:

- pipewire/extensions/session-manager/interfaces.h